<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: MyDelegate Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMyDelegate-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MyDelegate Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for MyDelegate:</div>
<div class="dyncontent">
<div class="center"><img src="classMyDelegate__inherit__graph.png" border="0" usemap="#MyDelegate_inherit__map" alt="Inheritance graph"/></div>
<map name="MyDelegate_inherit__map" id="MyDelegate_inherit__map">
<area shape="rect" title=" " alt="" coords="23,131,150,223"/>
<area shape="rect" title=" " alt="" coords="5,5,168,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for MyDelegate:</div>
<div class="dyncontent">
<div class="center"><img src="classMyDelegate__coll__graph.png" border="0" usemap="#MyDelegate_coll__map" alt="Collaboration graph"/></div>
<map name="MyDelegate_coll__map" id="MyDelegate_coll__map">
<area shape="rect" title=" " alt="" coords="23,131,150,223"/>
<area shape="rect" title=" " alt="" coords="5,5,168,83"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa3dce8ba46dc7d7542abf02f2e9a7404"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMyDelegate.html#aa3dce8ba46dc7d7542abf02f2e9a7404">MyDelegate</a> (QObject *parent)</td></tr>
<tr class="separator:aa3dce8ba46dc7d7542abf02f2e9a7404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ed7060505ebded51bbff7d37ed015ef"><td class="memItemLeft" align="right" valign="top">QSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMyDelegate.html#a2ed7060505ebded51bbff7d37ed015ef">sizeHint</a> (const QStyleOptionViewItem &amp;option, const QModelIndex &amp;index) const</td></tr>
<tr class="separator:a2ed7060505ebded51bbff7d37ed015ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa3dce8ba46dc7d7542abf02f2e9a7404"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3dce8ba46dc7d7542abf02f2e9a7404">&#9670;&nbsp;</a></span>MyDelegate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">MyDelegate::MyDelegate </td>
          <td>(</td>
          <td class="paramtype">QObject *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2ed7060505ebded51bbff7d37ed015ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ed7060505ebded51bbff7d37ed015ef">&#9670;&nbsp;</a></span>sizeHint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QSize MyDelegate::sizeHint </td>
          <td>(</td>
          <td class="paramtype">const QStyleOptionViewItem &amp;&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QModelIndex &amp;&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>frontend/src/lib/Chat/<a class="el" href="Chat_8cpp.html">Chat.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
